use std::fs;

pub fn solve() {
    let path = "res/01/input.txt";

    let contents = fs::read_to_string(path)
        .expect("Should have been able to read the file");

    let cont_arr = contents.split("\n");
    
    let mut calories = Vec::<i32>::new();
    calories.push(0);

    let mut index = 0;
    cont_arr.into_iter().for_each(|i| {
        if i == "" {
            index+=1;
            calories.push(0);
        } else {
            calories[index] += i.parse::<i32>().unwrap();
        }
    });

    let mut max = 0;
    calories.clone().into_iter().for_each(|i| {
        if i > max {
            max = i;
        }
    });

    println!("Result 1: {}", max);

    calories.sort();

    let res3: i32 = calories.clone().into_iter().rev().take(3).sum();

    println!("Result 2: {}", res3); 
}